path: /build/build/xautomation-x11-misc-1.09.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} x11-misc/xautomation -pv -t && \
    emerge -j ${JOBS} --nodeps x11-misc/xautomation
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xautomation && luet-portage --dir /pkgdir/xautomation
    x11-misc/xautomation && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c5ac5d54df3db55d3ba2f4958882695546004981c101041d8bbc786138a4240
  package:
    name: xautomation
    version: "1.09"
    category: x11-misc
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Control X from command line and find things on screen
    uri:
    - https://hoopajoo.net/projects/xautomation.html
    license: GPL-2
    buildtimestamp: 2023-10-14 16:51:03.290460413 +0000 UTC m=+102.738789487
    labels:
      DEPEND: '>=media-libs/libpng-1.2:0 x11-libs/libX11 x11-libs/libXi x11-libs/libXtst
        x11-base/xorg-proto'
      RDEPEND: '>=media-libs/libpng-1.2:0 x11-libs/libX11 x11-libs/libXi x11-libs/libXtst'
      emerge.packages: x11-misc/xautomation
      kit: desktop-kit
      original.package.name: x11-misc/xautomation
      original.package.slot: "0"
      original.package.version: 1.09-r1
    treedir: /build/packages
  package_dir: /pkgdir/xautomation
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1cc4ba6669b6f3e1cb359d021762e1050711cd46a29cbfa576f091a6f4947131
compressiontype: zstd
files:
- usr/bin/pat2ppm
- usr/bin/patextract
- usr/bin/png2pat
- usr/bin/rgb2pat
- usr/bin/visgrep
- usr/bin/xmousepos
- usr/bin/xte
- usr/share/doc/xautomation-1.09-r1/AUTHORS
- usr/share/doc/xautomation-1.09-r1/ChangeLog.bz2
- usr/share/doc/xautomation-1.09-r1/README.bz2
- usr/share/man/man1/pat2ppm.1.bz2
- usr/share/man/man1/patextract.1.bz2
- usr/share/man/man1/png2pat.1.bz2
- usr/share/man/man1/rgb2pat.1.bz2
- usr/share/man/man1/visgrep.1.bz2
- usr/share/man/man1/xmousepos.1.bz2
- usr/share/man/man1/xte.1.bz2
- usr/share/man/man7/xautomation.7.bz2
- var/db/pkg/x11-misc/xautomation-1.09-r1/BUILD_TIME
- var/db/pkg/x11-misc/xautomation-1.09-r1/CATEGORY
- var/db/pkg/x11-misc/xautomation-1.09-r1/CBUILD
- var/db/pkg/x11-misc/xautomation-1.09-r1/CFLAGS
- var/db/pkg/x11-misc/xautomation-1.09-r1/CHOST
- var/db/pkg/x11-misc/xautomation-1.09-r1/CONTENTS
- var/db/pkg/x11-misc/xautomation-1.09-r1/COUNTER
- var/db/pkg/x11-misc/xautomation-1.09-r1/CXXFLAGS
- var/db/pkg/x11-misc/xautomation-1.09-r1/DEFINED_PHASES
- var/db/pkg/x11-misc/xautomation-1.09-r1/DEPEND
- var/db/pkg/x11-misc/xautomation-1.09-r1/DESCRIPTION
- var/db/pkg/x11-misc/xautomation-1.09-r1/EAPI
- var/db/pkg/x11-misc/xautomation-1.09-r1/FEATURES
- var/db/pkg/x11-misc/xautomation-1.09-r1/HOMEPAGE
- var/db/pkg/x11-misc/xautomation-1.09-r1/IUSE
- var/db/pkg/x11-misc/xautomation-1.09-r1/IUSE_EFFECTIVE
- var/db/pkg/x11-misc/xautomation-1.09-r1/KEYWORDS
- var/db/pkg/x11-misc/xautomation-1.09-r1/LDFLAGS
- var/db/pkg/x11-misc/xautomation-1.09-r1/LICENSE
- var/db/pkg/x11-misc/xautomation-1.09-r1/NEEDED
- var/db/pkg/x11-misc/xautomation-1.09-r1/PF
- var/db/pkg/x11-misc/xautomation-1.09-r1/RDEPEND
- var/db/pkg/x11-misc/xautomation-1.09-r1/REQUIRES
- var/db/pkg/x11-misc/xautomation-1.09-r1/SIZE
- var/db/pkg/x11-misc/xautomation-1.09-r1/SLOT
- var/db/pkg/x11-misc/xautomation-1.09-r1/USE
- var/db/pkg/x11-misc/xautomation-1.09-r1/environment.bz2
- var/db/pkg/x11-misc/xautomation-1.09-r1/repository
- var/db/pkg/x11-misc/xautomation-1.09-r1/xautomation-1.09-r1.ebuild
package_cacheimage: ""
runtime:
  name: xautomation
  version: "1.09"
  category: x11-misc
  requires:
  - name: libpng
    version: '>=0'
    category: media-libs
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libXtst
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Control X from command line and find things on screen
  uri:
  - https://hoopajoo.net/projects/xautomation.html
  license: GPL-2
  labels:
    DEPEND: '>=media-libs/libpng-1.2:0 x11-libs/libX11 x11-libs/libXi x11-libs/libXtst
      x11-base/xorg-proto'
    RDEPEND: '>=media-libs/libpng-1.2:0 x11-libs/libX11 x11-libs/libXi x11-libs/libXtst'
    emerge.packages: x11-misc/xautomation
    kit: desktop-kit
    original.package.name: x11-misc/xautomation
    original.package.slot: "0"
    original.package.version: 1.09-r1
